<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:g="http://www.ihe.net/gazelle">
    <!--  requires param
        - patient (net.ihe.gazelle.simulator.pam.model.Patient)
        - renderHistory (boolean) : indicates whether or not the Patient History tab containing the patient relations is shown
        - renderEncounters -->
    <s:div styleClass="gzl-alert gzl-alert-red"
           rendered="#{patient.stillActive == false}">
        <h:outputText
                value="#{messages['gazelle.simulator.pam.patientIsNotActive']}"/>
        <br/>
    </s:div>
    <s:div rendered="#{patient.patientDead}"
           styleClass="gzl-alert gzl-alert-orange">
        <h:outputText value="#{messages['net.ihe.gazelle.simulators.ThisPatientIsDeadOn']} "/>
        <g:date value="#{patient.patientDeathTime}"/>
    </s:div>
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
            <a href="##{prefix}demo" aria-controls="#{prefix}demo" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.DemographicInformations']}</a>
        </li>
        <li role="presentation">
            <a href="##{prefix}addr" aria-controls="#{prefix}addr" role="tab" data-toggle="tab">#{messages['gazelle.pam.LocationInformation']}</a>
        </li>
        <li role="presentation">
            <a href="##{prefix}pid" aria-controls="#{prefix}pid" role="tab" data-toggle="tab">#{messages['net.ihe.gazelle.PatientManager.PatientIdentifiers']}</a>
        </li>
        <li role="presentation">
            <a href="##{prefix}extra" aria-controls="#{prefix}extra" role="tab"
               data-toggle="tab">#{messages['gazelle.pam.AdditionalInformations']}</a>
        </li>
        <c:if test="${renderRelationships}">
            <li role="presentation">
                <a href="##{prefix}relationships" aria-controls="#{prefix}relationships" role="tab"
                   data-toggle="tab">#{messages['net.ihe.gazelle.patientmanager.Relationships']}</a>
            </li>
        </c:if>
        <c:if test="${renderHistory}">
            <li role="presentation">
                <a href="##{prefix}history" aria-controls="#{prefix}history" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.History']}</a>
            </li>
        </c:if>
        <c:if test="${renderEncounters}">
            <li role="presentation">
                <a href="##{prefix}enc" aria-controls="#{prefix}enc" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.Encounters']}</a>
            </li>
        </c:if>
        <c:if test="${zfs}">
            <li role="presentation">
                <a href="##{prefix}caremodes" aria-controls="#{prefix}caremodes" role="tab"
                   data-toggle="tab">#{messages['gazelle.PAMSimulator.LegalCareModes']}</a>
            </li>
        </c:if>
    </ul>
    <div class="tab-content tab-content-with-border">
        <div role="tabpanel" class="tab-pane active" id="#{prefix}demo">
            <ui:include src="/patient/showAbstractPatientDemographic.xhtml">
                <ui:param name="patient" value="#{patient}"/>
                <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
            </ui:include>
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.pam.MaritalStatus']}</ui:define>
                    <h:outputText
                            value="#{valueSet.getDisplayNameForCode('HL70002', patient.maritalStatus)}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.pam.IdentityReliabilityCode']}</ui:define>
                    <h:outputText
                            value="#{valueSet.getDisplayNameForCode('HL70445', patient.identityReliabilityCode)}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml"
                    rendered="#{patient.patientDead}">
                    <ui:define name="label">#{messages['gazelle.PAMSimulator.DeceasedDatetime']}</ui:define>
                    <g:date value="#{patient.patientDeathTime}"/>
                </s:decorate>
            </dl>
        </div>
        <div role="tabpanel" class="tab-pane" id="#{prefix}addr">
            <ui:include src="/patient/showAbstractPatientAddress.xhtml">
                <ui:param name="patient" value="#{patient}"/>
                <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
            </ui:include>
        </div>
        <div role="tabpanel" class="tab-pane" id="#{prefix}pid">

            <ui:include src="/patient/patientIdentifiers.xhtml">
                <ui:param name="patient" value="#{patient}"/>
                <ui:param name="showLinks" value="#{showLinks}"/>
            </ui:include>
        </div>
        <div role="tabpanel" class="tab-pane" id="#{prefix}extra">
            <ui:include src="/patient/showPatientExtraInfo.xhtml">
                <ui:param name="patient" value="#{patient}"/>
            </ui:include>
            <f:subview id="zfdView" rendered="#{renderZFD}">
                <ui:include src="/fr/_displayAdditionalDemographics.xhtml">
                    <ui:param name="demographics" value="#{patient.additionalDemographics}"/>
                    <ui:param name="zfp" value="#{zfp}"/>
                </ui:include>
            </f:subview>
        </div>
        <c:if test="${renderRelationships}">
            <div role="tabpanel" class="tab-pane" id="#{prefix}relationships">
                <ui:repeat value="#{patient.personalRelationships}" var="currentPerson">
                    <f:subview id="rel#{currentPerson.id}">
                        <ui:include src="/patient/showPerson.xhtml">
                            <ui:param name="currentPerson" value="#{currentPerson}"/>
                        </ui:include>
                    </f:subview>
                </ui:repeat>
            </div>
        </c:if>
        <c:if test="${renderHistory}">
            <div role="tabpanel" class="tab-pane" id="#{prefix}history">
                <!-- This section will contain the list of relations of the current patient -->
                <ui:include src="historic.xhtml">
                    <ui:param name="patient" value="#{patient}"/>
                </ui:include>
            </div>
        </c:if>
        <!-- This section contains the list of encounters of the current patient -->
        <c:if test="${renderEncounters}">
            <div role="tabpanel" class="tab-pane" id="#{prefix}enc">
                <ui:include src="/patient/encounters.xhtml">
                    <ui:param name="encounters"
                              value="#{patient.getAllEncountersForPatient()}"/>
                </ui:include>
            </div>
        </c:if>
         <!-- This section contains the list of legal care modes for the current patient -->
        <c:if test="${zfs}">
            <div role="tabpanel" class="tab-pane" id="#{prefix}caremodes">
                <ui:include src="/fr/_displayLegalCareModes.xhtml">
                    <ui:param name="careModes"
                              value="#{patient.getLegalCareModes()}"/>
                </ui:include>
            </div>
        </c:if>
    </div>
</ui:composition>